stages:          # List of stages for jobs, and their order of execution
  - test
  - build

variables:
  IMAGE_TAG_STAGING: STG-1.0
  PLAYWD: ip172-18-0-90-ce09qhe3tccg009iljlg@direct.labs.play-with-docker.com
  PLAYWD_5000: ip172-18-0-90-ce09qhe3tccg009iljlg-5000.direct.labs.play-with-docker.com

run_test:
  stage: test
  image: python:3.9-slim-buster
  before_script:
    - apt-get update && apt-get install make
  script: 
    - make test

build_image:
  stage: build
  image: docker:20.10.21-cli
  services:
    - docker:20.10.21-dind
  before_script:
#    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker login -u $DOCKERIO_LOGIN -p $DOCKERIO_PWD docker.io
  script:
#    - echo "We will run docker build -t $CI_REGISTRY_IMAGE:$IMAGE_TAG_STAGING"
#    - docker build -t $CI_REGISTRY_IMAGE:$IMAGE_TAG_STAGING .
    - docker image build -t eliesjebri/gitlab-cicd-crash-course .
#    - docker push $CI_REGISTRY_IMAGE:$IMAGE_TAG_STAGING
    - docker push eliesjebri/gitlab-cicd-crash-course